- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axis2_svc_name.h File Reference

`#include <axis2_defines.h>`
`#include <axutil_env.h>`
`#include <axis2_const.h>`
`#include <axutil_qname.h>`

Go to the source code of this file.

## Typedefs
typedef struct axis2_svc_name | axis2_svc_name_t
## Functions
AXIS2_EXTERN axis2_svc_name_t * | axis2_svc_name_create (const axutil_env_t *env, const axutil_qname_t *qname, const axis2_char_t *endpoint_name)
AXIS2_EXTERN const axutil_qname_t * | axis2_svc_name_get_qname (const axis2_svc_name_t *svc_name, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_svc_name_set_qname (struct axis2_svc_name *svc_name, const axutil_env_t *env, const axutil_qname_t *qname)
AXIS2_EXTERN const axis2_char_t * | axis2_svc_name_get_endpoint_name (const axis2_svc_name_t *svc_name, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_svc_name_set_endpoint_name (struct axis2_svc_name *svc_name, const axutil_env_t *env, const axis2_char_t *endpoint_name)
AXIS2_EXTERN void | axis2_svc_name_free (struct axis2_svc_name *svc_name, const axutil_env_t *env)

## Detailed Description